Subject: [BUG] rebase no longer omits local commits

From: Ted Felix <[email-masked]>
Date: Thu, 03 Jul 2014 11:14:26 -0400

Starting with git 1.9.0, rebase no longer omits local commits that 
appear in both the upstream and local branches.

I've bisected this down to commit bb3f458: "rebase: fix fork-point with 
zero arguments".  The attached script reproduces the problem.  Reverting 
the aforementioned commit fixes the problem.

A failed run of this script will result in conflicts.  A successful run 
against master with bb3f458 reverted ends as follows:

 From /tmp/rebase-issue/maint
    fe401cd..955af04  master     -> origin/master
fatal: Not a valid object name: ''
First, rewinding head to replay your work on top of it...
Applying: Third change

(I'm not sure if that "fatal: Not a valid object name: ''" is of any 
concern.  It started appearing for me at some point during the bisect.)

Let me know if there's more I can do to help.